[DRBD-announce] drbd-9.1.10

Philipp Reisner philipp.reisner at linbit.com
Thu Sep 1 11:51:32 CEST 2022


Hello,

It happened. There is a regression in drbd-9.1.9 that can cause kernel
crashes. We are releasing drbd-9.1.10 immediately. With just this regression
fixed.

It is one of these cases, where a change interferes with the existing code
in a way that we were not able to see during development and review.
The test-cases did not cover this scenario. Again, we can only react with
adding a test case for this.

This time I am bending the process, and I intentionally omit the RC phase,
to keep adoption of drbd-9.1.9 low.

When you are using protocol A and running drbd-9.1.9 we strongly recommend
upgrading to drbd-9.1.10.

9.1.10 (api:genl2/proto:110-121/transport:17)
--------
 * fix a regression introduced with 9.1.9; using protocol A on SMP
   with heavy IO can might cause kernel crash


https://pkg.linbit.com//downloads/drbd/9/drbd-9.1.10.tar.gz
https://github.com/LINBIT/drbd/commit/9e8102e1117e4ba588072097360928ca3e9f5ce6


More information about the drbd-announce mailing list